MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032458Open CASCADE[OCCT] OCCT:DRAWpublic2021-06-23 21:122021-06-26 11:58
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032458: Draw Harness, ViewerTest - fix misprint in vaspects -drawSilhouette
Descriptionvaspects help shows -drawSilhouette argument, this name is, however, leads to syntax errors, as only "-setdrawsilhouette" and "-silhouette" are handled by command.
Steps To Reproduce
pload MODELING VISUALIZATION
psphere s 1
vinit View1
vdisplay -dispMode 1 s
vfit
vaspects -drawSilhouette 1 -interiorStyle HIDDENLINE
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0102017)
git (administrator)
2021-06-23 21:16

Branch CR32458 has been created by kgv.

SHA-1: 66269a98fe5b702b87549504ab7e2dd5290a77cb


Detailed log of new commits:

Author: kgv
Date: Wed Jun 23 21:17:03 2021 +0300

    0032458: Draw Harness, ViewerTest - fix misprint in vaspects -drawSilhouette
(0102018)
kgv (developer)
2021-06-23 21:16

Please raise the patch
- OCCT: branch CR32458.
(0102066)
bugmaster (administrator)
2021-06-26 11:36

Combination -
OCCT branch : IR-2021-06-25
master SHA - 73dee811331a959f807c8264d295f05f441c8218
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-06-25 SHA - eca8d7ed97b918b2f5ea5d9d6e54f6ca4db4e9df
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17457.040000000452 / 17401.81000000044 [+0.32%]
Products
Total CPU difference: 11511.540000000101 / 11508.180000000091 [+0.03%]
Windows-64-VC14:
OCCT
Total CPU difference: 19236.53125 / 19191.4375 [+0.23%]
Products
Total CPU difference: 12832.328125 / 12883.6875 [-0.40%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

- Related Changesets
occt: master 91836c86
Timestamp: 2021-06-23 18:17:03
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032458: Draw Harness, ViewerTest - fix misprint in vaspects -drawSilhouette
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-06-23 21:12 kgv New Issue
2021-06-23 21:12 kgv Assigned To => kgv
2021-06-23 21:16 git Note Added: 0102017
2021-06-23 21:16 kgv Note Added: 0102018
2021-06-23 21:16 kgv Assigned To kgv => bugmaster
2021-06-23 21:16 kgv Severity minor => trivial
2021-06-23 21:16 kgv Status new => resolved
2021-06-23 21:16 kgv Status resolved => reviewed
2021-06-23 21:20 kgv Relationship added child of 0031698
2021-06-23 21:20 kgv Product Version 7.6.0* => 7.5.0
2021-06-26 11:36 bugmaster Note Added: 0102066
2021-06-26 11:36 bugmaster Status reviewed => tested
2021-06-26 11:38 bugmaster Test case number => Not required
2021-06-26 11:58 bugmaster Changeset attached => occt master 91836c86
2021-06-26 11:58 bugmaster Status tested => verified
2021-06-26 11:58 bugmaster Resolution open => fixed


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker